const fs = require('fs');
const path = require('path');
const messages = require('../src/_locales/en/messages.json');

// Generate i18n.import.ts

const filename = path.resolve(`${__dirname}/../src/shared/i18n.import.ts`);
const content = `// autogenerated by scripts/create-i18n.js

export type MessageName =
${
    Object.keys(messages).map((name) => {
        return `    '${name}'`;
    })
        .join(' |\n')
};
`;

fs.writeFile(filename, content, (err) => {
    if (err) {
        throw err;
    } else {
        console.log(`Created: ${filename}`);
    }
});
